/************************************************************************/
/*  External variables for msextract.					*/
/*									*/
/*	Douglas Neuhauser						*/
/*	Berkeley Seismological Laboratory				*/
/*	University of California, Berkeley				*/
/*	doug@seismo.berkeley.edu					*/
/*									*/
/************************************************************************/

/*
 * Copyright (c) 2002-2014 The Regents of the University of California.
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for educational, research and non-profit purposes,
 * without fee, and without a written agreement is hereby granted,
 * provided that the above copyright notice, this paragraph and the
 * following three paragraphs appear in all copies.
 * 
 * Permission to incorporate this software into commercial products may
 * be obtained from the Office of Technology Licensing, 2150 Shattuck
 * Avenue, Suite 510, Berkeley, CA  94704.
 * 
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 * INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND
 * ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 * CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

/*	$Id: externals.h,v 1.2 2014/10/07 00:06:24 doug Exp $ 	*/

#include <qlib2.h>

char *cmdname;			/* program name.			*/
char *input_file;		/* input file name.			*/
char *output_file;		/* output file name.			*/
FILE *info;			/* FILE for informational msgs.		*/
char *outmode;			/* output file mode.			*/
double keep_usecs;		/* min time span to keep.		*/
int min_clock_quality;		/* min clock quality to keep.		*/
int date_fmt;			/* key for output date format.		*/
int no_output;			/* do not write output.			*/
int append_output;		/* append output to file.		*/
int debug_option;		/* debug option flag.			*/
int stream_tol;			/* continuous data tol in usecs (ticks in cmdline)	*/
int reversed;			/* reverse keep and discard operations.	*/
extern char *syntax[];		/* syntax info.				*/

#define	DEBUG
#define	DEBUG_CACHE		1
#define	DEBUG_ANY   \
    (DEBUG_CACHE)
#define	    debug(val)  (debug_option & (val))

/*  RATE(rate) is in samples/second.					*/
/*  TOL(rate) = max size of gap in ticks that can be tolerated between	*/
/*  adjacent blocks of data at specified sample rate without causing a	*/
/*  hard time tear.							*/
/*  NOTE:  values are still defined in terms of TICKS.			*/

#define	TTOL_MULT		.4
#define	TOL(rate,mult)		((TTOL_MULT*USECS_PER_SEC)/(sps_rate(rate,mult)))
